List Previews
curl --request GET \
--url https://api.getoneprofile.ai/agent-training/sessions/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/agent-training/sessions/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/agent-training/sessions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/agent-training/sessions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/agent-training/sessions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/agent-training/sessions/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/agent-training/sessions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"cycle": 123,
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": {
"done": 123,
"failed": 123,
"total": 123
},
"rows": [
{
"confidence": "high",
"credits_charged": 123,
"cycle": 123,
"error": "<string>",
"error_class": "timeout",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"outcome": "succeeded",
"position": 123,
"reasoning": "<string>",
"run_no": 123,
"skipped_reason": "<string>",
"sources": [
"<string>"
],
"status": "pending",
"steps": [
{
"action": "search",
"detail": "<string>",
"observation": "<string>",
"duration_ms": 123,
"outcome": "completed",
"thought": "<string>"
}
],
"verdict": "good",
"needs_work": false,
"value": "<unknown>"
}
],
"saved_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_input_mappings": {},
"source_kind": "table",
"source_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}agent-training
List Previews
Previews, newest first. Filtered to one agent and to live, it is the agent’s one open Preview, so opening the Preview picks up where it was left; the list is empty when the agent has none open.
GET
/
agent-training
/
sessions
/
List Previews
curl --request GET \
--url https://api.getoneprofile.ai/agent-training/sessions/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/agent-training/sessions/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/agent-training/sessions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/agent-training/sessions/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/agent-training/sessions/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/agent-training/sessions/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/agent-training/sessions/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"cycle": 123,
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": {
"done": 123,
"failed": 123,
"total": 123
},
"rows": [
{
"confidence": "high",
"credits_charged": 123,
"cycle": 123,
"error": "<string>",
"error_class": "timeout",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"outcome": "succeeded",
"position": 123,
"reasoning": "<string>",
"run_no": 123,
"skipped_reason": "<string>",
"sources": [
"<string>"
],
"status": "pending",
"steps": [
{
"action": "search",
"detail": "<string>",
"observation": "<string>",
"duration_ms": 123,
"outcome": "completed",
"thought": "<string>"
}
],
"verdict": "good",
"needs_work": false,
"value": "<unknown>"
}
],
"saved_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_input_mappings": {},
"source_kind": "table",
"source_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>",
"previous_page_cursor": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
Only this agent's Previews.
Only Previews in this status. live is the open Preview: running or reviewing.
Available options:
live, running, reviewing, completed, abandoned The number of items to return.
Required range:
1 <= x <= 100Available options:
id, created_at, updated_at Available options:
asc, desc Set the cursor to the next or previous page. You can get the cursor from the previous page's response.
Response
Successful Response
The list of ResponseItems.
Show child attributes
Show child attributes
The cursor to the next page. If there are no more pages, this is None.
The cursor to the previous page. If there are no previous pages, this is None.
Was this page helpful?